Bug 3942 - globus_gram_client_job_request() is MT-unsafe
: globus_gram_client_job_request() is MT-unsafe
Status: VERIFIED FIXED
: GRAM
gt2 Gram client
: 4.0.1
: PC Linux
: P3 normal
: 4.0.2
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-11-28 04:18 by
Modified: 2006-09-08 03:35 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-28 04:18:54
I see source code of globus_gram_client_job_request() in Globus
Toolkit 4.0.1. 
It seems that static variables is used without protection of mutex in RSL parser
(source-trees-thr/gram/rsl/sourc/globus_rsl_parser.lex.c).
------- Comment #1 From 2005-12-06 11:02:31 -------
I added a lock around the globus_rsl_parse() call to avoid this problem. This
is
committed to CVS

joe
------- Comment #2 From 2006-09-08 03:35:54 -------
I see source code of globus_gram_client_job_request() in Globus Toolkit 4.0.2.
And I verify that static variables is used with protection of mutex in RSL
parser.